View a markdown version of this page

GetPaymentConnector - Amazon Bedrock AgentCore Control Plane

GetPaymentConnector

Retrieves information about a specific payment connector.

Request Syntax

GET /payments/managers/paymentManagerId/connectors/paymentConnectorId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

paymentConnectorId

The unique identifier of the payment connector to retrieve.

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

Required: Yes

paymentManagerId

The unique identifier of the parent payment manager.

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "createdAt": "string", "credentialProviderConfigurations": [ { ... } ], "description": "string", "lastUpdatedAt": "string", "name": "string", "paymentConnectorId": "string", "status": "string", "type": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

createdAt

The timestamp when the payment connector was created.

Type: Timestamp

credentialProviderConfigurations

The credential provider configurations for the payment connector.

Type: Array of CredentialsProviderConfiguration objects

Array Members: Fixed number of 1 item.

description

The description of the payment connector.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 4096.

Pattern: [a-zA-Z0-9\s]+

lastUpdatedAt

The timestamp when the payment connector was last updated.

Type: Timestamp

name

The name of the payment connector.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 48.

Pattern: [a-zA-Z][a-zA-Z0-9_]{0,47}

paymentConnectorId

The unique identifier of the payment connector.

Type: String

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

status

The current status of the payment connector. Possible values include CREATING, READY, UPDATING, DELETING, CREATE_FAILED, UPDATE_FAILED, and DELETE_FAILED.

Type: String

Valid Values: CREATING | UPDATING | DELETING | READY | CREATE_FAILED | UPDATE_FAILED | DELETE_FAILED

type

The type of the payment connector, which determines the payment provider integration.

Type: String

Valid Values: CoinbaseCDP | StripePrivy

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: